Subject: [bug#32094] [PATCH] git: Call 'url-cache-directory' outside 'update-cached-checkout' body.

From: Oleg Pykhalov <[email-masked]>
Date: Fri, 13 Jul 2018 16:26:27 +0300

Hello Ludovic,

[email-masked] (Ludovic Courtès) writes:

[…]

>> I'm not sure it's possible to call ‘url-cache-directory’ in argument of
>> ‘update-cached-checkout’, because ‘url-cache-directory’ requires ‘url’
>> argument which itself is the argument of ‘update-cached-checkout’.
>
> Yes, you can do that:
>
> (define* (update-cached-checkout url
>                                  #:key
>                                  (ref '(branch . "origin/master"))
>                                  (cache-directory
>                                   (url-cache-directory
>                                    url (%repository-cache-directory))))
>   …)                                 
>
> (You’d get a warning about ‘url’ being unbound if it didn’t work.)

Ah, thank you for pointing it out.

> Could you make this last change?  And then I think we’re all set.

OK, added.  I tested second time successfully with:
--8<---------------cut here---------------start------------->8---
./pre-inst-env env GUIX_PACKAGE_PATH= guix pull
--8<---------------cut here---------------end--------------->8---

Pushed as ffc3fcade3f7d2c7d26b2fe5245902e6407f9c93

Thanks,
Oleg.